Bug 1043835 - gitolite3-README-fedora does not mention pubkey setup
Summary: gitolite3-README-fedora does not mention pubkey setup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: gitolite3
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-17 10:22 UTC by Till Maas
Modified: 2015-11-21 20:29 UTC (History)
3 users (show)

Fixed In Version: gitolite3-3.6.4-1.fc22 gitolite3-3.6.4-1.fc21 gitolite3-3.6.4-1.fc23 gitolite3-3.6.4-1.el7 gitolite3-3.6.4-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-12 00:20:37 UTC
Type: Bug


Attachments (Terms of Use)

Description Till Maas 2013-12-17 10:22:50 UTC
Description of problem:
/usr/share/doc/gitolite3-3.5.2/gitolite3-README-fedora does not include command to setup public key

Version-Release number of selected component (if applicable):
gitolite3-3.5.2-1.el6

How reproducible:
always

Steps to Reproduce:
1. run 'gitolite setup -a admin .' as described in the README

Actual results:
cat ~gitolite3/.ssh/authorized_keys returns nothing


Expected results:
should contain the users public SSH key


Additional info:
The README should mention to use a command like:
gitolite setup -pk admin.pub -a admin .

Comment 1 Till Maas 2013-12-17 10:31:15 UTC
It appears to be that the command needs to be
gitolite setup -pk admin.pub
where "admin" is the admin username. It does not work together with -a.

Comment 2 Fedora Update System 2015-11-03 15:23:15 UTC
gitolite3-3.6.4-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-6ef3fd839a

Comment 3 Fedora Update System 2015-11-03 15:23:16 UTC
gitolite3-3.6.4-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3c574cd223

Comment 4 Fedora Update System 2015-11-03 15:23:29 UTC
gitolite3-3.6.4-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-6dc6054808

Comment 5 Fedora Update System 2015-11-03 15:23:29 UTC
gitolite3-3.6.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-becbc77bb7

Comment 6 Fedora Update System 2015-11-03 15:23:39 UTC
gitolite3-3.6.4-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1e1435a1ec

Comment 7 Fedora Update System 2015-11-03 18:20:32 UTC
gitolite3-3.6.4-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gitolite3'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3c574cd223

Comment 8 Fedora Update System 2015-11-03 18:56:02 UTC
gitolite3-3.6.4-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gitolite3'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1e1435a1ec

Comment 9 Fedora Update System 2015-11-03 19:51:52 UTC
gitolite3-3.6.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gitolite3'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-becbc77bb7

Comment 10 Fedora Update System 2015-11-05 17:18:57 UTC
gitolite3-3.6.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update gitolite3'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-6ef3fd839a

Comment 11 Fedora Update System 2015-11-05 20:18:03 UTC
gitolite3-3.6.4-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update gitolite3'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-6dc6054808

Comment 12 Fedora Update System 2015-11-12 00:20:30 UTC
gitolite3-3.6.4-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-11-12 00:48:33 UTC
gitolite3-3.6.4-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-11-12 05:22:28 UTC
gitolite3-3.6.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-11-21 14:24:57 UTC
gitolite3-3.6.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-11-21 20:29:44 UTC
gitolite3-3.6.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.